package myCBR;

import java.util.Collections;
import java.util.HashMap;
import java.util.List;

public class Result {
	private float core;
	private float rare;
	private float special;
	private float hero;
	private float lord;
	private float total;
	private boolean valid;
	
	private List<String> cores;
	private List<String> rares;
	private List<String> specials;
	private List<String> heroes;
	private List<String> lords;
	
	public Result(){
		
	}
	
	public void storeStringResults(List<String> cores, List<String> rares, List<String> specials, List<String> heroes, List<String> lords){
		this.cores = cores;
		this.rares = rares;
		this.specials = specials;
		this.heroes = heroes;
		this.lords = lords;
	}
	
	public void storeIntResults(float core, float rare, float special, float hero, float lord, float total, boolean valid ){
		this.core = core;
		this.rare = rare;
		this.special = special;
		this.hero = hero;
		this.lord = lord;
		this.total = total;
		this.valid = valid;
	}
	
	public String createUniqeID(){
		Collections.sort(cores);
		Collections.sort(rares);
		Collections.sort(specials);
		Collections.sort(heroes);
		Collections.sort(lords);
		
		StringBuffer ret = new StringBuffer();
		ret.append(core+" "+cores+ " ");
		ret.append(rare+" "+rares+ " ");
		ret.append(special+" "+specials+ " ");
		ret.append(hero+" "+heroes+ " ");
		ret.append(lord+" "+lords+ " ");
		ret.append(total + " " + valid);
		return ret.toString();
	}
	
	public String toString(){
		StringBuffer ret = new StringBuffer();
		ret.append("\ncore " + core + " \t" + cores +"\n");
		ret.append("rare " + rare + " \t" + rares+"\n");
		ret.append("special " + special + " \t" + specials+"\n");
		ret.append("hero " + hero + " \t" + heroes+"\n");
		ret.append("lord " + lord + " \t" + lords +"\n");
		ret.append("total " + total + " \t" + valid+"\n");
		return ret.toString();
	}
	
	public boolean getValid(){
		return valid;
	}
} 
